ranges::indirected< Fn > Struct Template Reference
Functional

## Public Member Functions

| indirected (Fn fn)
template<typename... Its>
invoke_result_t< Fn &, iter_reference_t< Its >... > | operator() (copy_tag, Its...) const
template<typename... Its>
auto | operator() (Its... its) CPP_AUTO_FUN_RETURNS_CONST_0 t(return invoke(fn_
auto *its ttttemplate< typename... Its > auto | operator() (Its... its) CPP_AUTO_FUN_RETURNS_CONST_0/(const